@echo off

rem This uses Digital Mars' C++ compiler to compile our new Go!.exe.

rem This commented-out section uses Borland C++ 5.5's brc32 to compile res.rc to res.res. You'd need to change the path. You don't need to uncomment this unless you change the icon for Go or something.
rem mode con: cols=80 lines=50
rem set path=c:\rich\borland\bcc55\bin;c:\windows\system32;c:\windows;c:\windows\command
rem brc32 -fores.res -32 res.rc
rem del *.$$$

set path=c:\dm\bin;c:\windows\system32;c:\windows;c:\windows\command
set lib=

cls
del go.exe
cls
echo Compiling 'multi' version of go...
dmc.exe -ogo.exe -DWINDOWS -DMULTI go.cpp go.def -mn -5 -L/DELEXECUTABLE | more
if exist "go.exe" goto good
goto x
:good
copy go.exe "..\Alternate Go!.exe"

echo Compiling 'single' version of go...
dmc.exe -ogo.exe -DWINDOWS go.cpp go.def -mn -5 | more
if exist "go.exe" goto good2
goto x
:good2
copy go.exe "..\Normal Go!.exe"
:x
del *.obj
del go.exe
pause